/*
 * JCuda - Java bindings for NVIDIA CUDA driver and runtime API
 * http://www.jcuda.org
 *
 * Copyright 2009-2012 Marco Hutter - http://www.jcuda.org
 */

package org.jcuda.samples.matrix.cg;

/**
 * Interface for a float matrix that is stored in CSR format 
 */
interface FloatMatrixHostCSR extends FloatMatrixHost
{
    /**
     * Returns the number of non-zero entries 
     * 
     * @return The number of non-zero entries 
     */
    int getNumNonZeros();

    /**
     * Returns the non-zero values  
     * 
     * @return The non-zero values 
     */
    float[] getValues();
    
    /**
     * Returns the row pointers 
     * 
     * @return The row pointers 
     */
    int[] getRowPointers();
    
    /**
     * Return the column indices 
     * 
     * @return The column indices 
     */
    int[] getColumnIndices();
}