/*
 * JCuda - Java bindings for NVIDIA CUDA driver and runtime API
 * http://www.jcuda.org
 *
 * Copyright 2009-2012 Marco Hutter - http://www.jcuda.org
 */

package org.jcuda.samples.matrix.cg;

/**
 * Interface for a mutable matrix that stores float values in host memory
 */
interface MutableFloatMatrixHost extends FloatMatrixHost
{
    /**
     * Set the given value at the specified row and column
     * 
     * @param r The row
     * @param c The column
     * @param value The value to set
     */
    void set(int r, int c, float value);
}